# Create API key

The method allows you to create an API key for the user

### Request:

| **Parameter** | **Required** | **Type** | **Description** |
| ------------- | ------------ | -------- | --------------- |
| userId        | Yes          | String   | User ID         |
| alias         | Yes          | String   | Alias           |

### Response:

| **Parameter** | **Type** | **Description** |
| ------------- | -------- | --------------- |
| id            | String   | Api key ID      |
| public        | String   | Public key      |
| secret        | String   | Secret key      |
| alias         | String   | Alias           |
| createdAt     | String   | Creation date   |

{% openapi src="/files/sW3pCSavW8K5JCHRyMVw" path="/partner/api/create-api-keys" method="post" %}
[openapi.json](https://199856430-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fy7yrGizyjjV5OmCw3DcE%2Fuploads%2Fgit-blob-c16b91898f63e16257eb0e0b6bb8d49e7f547d73%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/api-reference/13partners/post_create-api-keys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
